package com.example.glidedemo

/*
    This app demos the use of the Glide library to show
    images from the Internet
    https://github.com/bumptech/glide

    edit the AndroidManifest to allow Internet access

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE"/>

    edit the build.gradle (Module) to recognize Glide

    implementation 'com.github.bumptech.glide:glide:4.16.0'

*/

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.ImageView
import com.bumptech.glide.Glide

class MainActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        val ivLeger = findViewById<ImageView>(R.id.ivLeger)
        var url="https://upload.wikimedia.org/wikipedia/en/a/a8/Leger_beer_mug.jpg"
        Glide.with(this).load(url).into(ivLeger);
    }
}